package ibase.webitm.ejb.mfg;

import ibase.webitm.ejb.*;

import java.rmi.RemoteException;
import org.w3c.dom.*;

import ibase.webitm.utility.ITMException;
import javax.ejb.Local;

@Local 

public interface RequirementICLocal extends ValidatorLocal
{
	public String wfValData() throws RemoteException,ITMException;
	
	public String wfValData(String xmlString, String xmlString1,String xmlString2, String objContext, String editFlag, String xtraParams) throws RemoteException,ITMException;
	
	public String wfValData(Document dom, Document dom1,Document dom2, String objContext, String editFlag, String xtraParams) throws RemoteException,ITMException;
	
	public String itemChanged() throws RemoteException,ITMException;
	
	public String itemChanged(String xmlString, String xmlString1,String xmlString2, String objContext, String currentColumn, String editFlag, String xtraParams) throws RemoteException,ITMException;
	
	public String itemChanged(Document dom, Document dom1,Document dom2, String objContext, String currentColumn, String editFlag, String xtraParams) throws RemoteException,ITMException;
	
	public String getItemCodeList(String itemCode, String search, String dbID,String siteCode)throws ITMException;
}
